<template>
  <div class="content-body">
    <section class="container">
      <div>
        <h1 class="title">{{ title }}</h1>
        <h2 class="subtitle">
          Appraisal Management Platform
        </h2>
      </div>
    </section>
    <div v-for="book in books" :key="book.author">Title : {{ book.title }} Author : {{ book.author }}</div>
  </div>
</template>
<script>
import gql from 'graphql-tag'
export default {
  data() {
    return {
      title: 'AMP',
      data : ''
    }
  },
  apollo: {
    books: gql`
      query {
        books {
          title
          author
        }
      }
    `,
  },
  layout: 'clean'
}
</script>

<style>
.container {
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.title {
  font-family: 'Quicksand', 'Source Sans Pro', -apple-system, BlinkMacSystemFont,
    'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif;
  display: block;
  font-weight: 300;
  font-size: 100px;
  color: #35495e;
  letter-spacing: 1px;
}

.subtitle {
  font-weight: 300;
  font-size: 42px;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}

.links {
  padding-top: 15px;
}
</style>
